# -*- coding: utf-8 -*-

import re
import random
import string
from os import urandom
from random import choice

#簡易正規表達式
def Simple_Regular(RegularStr,String,index=0):
    STR=re.search(RegularStr,String)
    if STR is None:
        return False
    else:
        return STR.group(index)

#隨機產生數字
def UID_var():  
    uidlen = []  
    while (len(uidlen) < 12):  
        uidlen.append(choice(string.digits))  
    return ''.join(uidlen)

    
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("※　　　【免空科學研究所　ｔｉｇｅｒｍａｘ．ｄｙｎｄｎｓ．ｏｒｇ】　　　※")
UI.UpdateLog("※　　　～㊣　　　　　　　　　楓　　　痕　　製作分享　　　　　㊣～　　　※")
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("【腳本更新】：2013.03.13 楓痕 修正原始冏rz內附腳本",2)
UI.UpdateLog("【上傳空間】：2upitus.net",2)
UI.UpdateLog("【上傳大小】：200 MB",2)
UI.UpdateLog("【砍檔時間】：未知",2)
UI.UpdateLog("【腳本功能】：無帳號上傳",1)
UI.UpdateLog("【腳本備註】：支援各32/64位元Windows系列",1)
HTTP.ClearProcedureData()
sid=UID_var()
HTML=HTTP.GetURL("http://www.upitus.net/")
upload_post=("http://www.upitus.net/cgi-bin/upload.cgi?upload_id="+sid+"&js_on=1&utype=anon&upload_type=file")
UI.UpdateLog("開始上傳....",4)
HTTP.AddUpParam("upload_type","file")
HTTP.AddUpParam("sess_id","")
HTTP.AddUpParam("srv_tmp_url","http://www.upitus.net/tmp")
HTTP.AddUpParam("tos",1)
HTTP.AddUpParam("submit_btn","Upload!")
HTTP.AddFileReference("file_0")
HTML=UI.UpFile(upload_post)
linkpost=Simple_Regular('textarea name\=\'fn\'>(.+?)<',HTML,1)
Hotlink=("http://www.upitus.net/"+linkpost)
if  Hotlink!=False:   
    Hotlink1=(Hotlink)
    UI.UpdateLog("連結 【1】"+Hotlink1,3)
    UI.AddShareLink(Hotlink1)
    UI.ProceSuccess()
else:
    UI.UpdateLog("找不到檔案連結!",3)
    UI.ProceFalse()